# SingleRTPSessionPool Class Reference

`#include <pool.h>`

Inheritance diagram for SingleRTPSessionPool:

List of all members.

## Public Member Functions

| SingleRTPSessionPool (int pri=0)
| ~SingleRTPSessionPool ()
void | startRunning ()

## Protected Member Functions

void | run ()
| Runnable method for the thread.

## Constructor & Destructor Documentation

SingleRTPSessionPool::SingleRTPSessionPool | ( | int | pri = `0` ) | `[inline]`

Parameters:

  pri | optional thread priority value.

SingleRTPSessionPool::~SingleRTPSessionPool | ( | ) | `[inline]`

## Member Function Documentation

void SingleRTPSessionPool::run | ( | ) | `[protected]`

Runnable method for the thread.

This thread serves all the RTP sessions.added to this pool.

void SingleRTPSessionPool::startRunning | ( | ) | `[inline, virtual]`

Implements RTPSessionPool.

The documentation for this class was generated from the following file:

- pool.h